import React from 'react';
import { Switch } from '@mui/material';
var field = {
  operators: [{
    value: '=',
    label: '='
  }, {
    value: '!=',
    label: '!='
  }],
  defaultOperator: '=',
  filter: function filter(value, q) {
    var operator = q.operator,
        qv = q.value;

    if (qv !== '') {
      var queryValue = !!qv;

      switch (operator) {
        case '=':
          return value === queryValue;

        case '!=':
          return value !== queryValue;

        default:
          return false;
      }
    } else {
      return true;
    }
  },
  sort: function sort(orientation, a, b) {
    return (a - b) * orientation;
  },
  render: function render(_ref, _onChange) {
    var _ref$value = _ref.value,
        value = _ref$value === void 0 ? '' : _ref$value;
    return /*#__PURE__*/React.createElement("div", {
      style: {
        width: '100%',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        padding: 16
      }
    }, /*#__PURE__*/React.createElement(Switch, {
      onChange: function onChange(e, value) {
        _onChange({
          value: value
        });
      },
      value: value
    }));
  }
};
export default field;